#!/bin/python3
import argparse
import socket

HOST = "127.0.0.1"
PORT = 50000
REPEAT = 1 << 8
TESTDATA = b"miku" * 1024

parser = argparse.ArgumentParser()
parser.add_argument("host", type=str, metavar="ip address", default=HOST)
parser.add_argument("port", default=PORT, nargs="?")
parser.add_argument("-6", "--ipv6", action="store_true")
args = parser.parse_args()

if args.ipv6:
    sock = socket.socket(socket.AF_INET6, socket.SOCK_STREAM)
else:
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

sock.connect((args.host, PORT))
for i in range(REPEAT):
    sock.send(TESTDATA)
sock.close()
