import argparse
import logging
import socket
import time


logger = logging.getLogger(__name__)

HOST_4 = "0.0.0.0"
HOST_6 = "::"
PORT = 50000
BUFFER = 4096

parser = argparse.ArgumentParser()
parser.add_argument("-6", "--ipv6", action="store_true")
args = parser.parse_args()

if args.ipv6:
    sock = socket.socket(socket.AF_INET6, socket.SOCK_STREAM)
    sock.bind((HOST_6, PORT))
else:
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.bind((HOST_4, PORT))
sock.listen()

client, addr = sock.accept()
start = time.perf_counter()
count = 0
while True:
    data = client.recv(BUFFER)
    if data:
        count += len(data)
        continue

    client.close()
    end = time.perf_counter()
    delta = end - start
    logger.info("time use %.2fs, speed %.2fMB/s"
                , delta, count / delta / (1 << 20))
    break
print(delta)
